Subject: RE: [PATCH] Add project-wide .vimrc configuration

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 9 Dec 2020 11:18:31 -0500

On December 9, 2020 3:13 AM, Junio C Hamano wrote:
> To: Felipe Contreras <[email-masked]>
> Cc: brian m. carlson <[email-masked]>; Git
> <[email-masked]>; Jeff King <[email-masked]>; Emily Shaffer
> <[email-masked]>
> Subject: Re: [PATCH] Add project-wide .vimrc configuration
> 
> Felipe Contreras <[email-masked]> writes:
> 
> >> *2* In other words, I doubt these graphs are depicting "how widely is
> >> an editor used by developers".  It is just showing how often it is
> >> installed, and I know the primary workstation I use daily has vim and
> >> nano installed without me choosing to have them, as opposed to emacs
> >> I had to manually install, and I only use vim once every month and
> >> nano once every quarter.
> >
> > Yes, but in Arch Linux at least no editor is installed by default.
> 
> I thought everybody has nano not because it is adequate and usable for
> them, but because it comes by default with distros, and distro in turn
choose
> nano not because it is particularly popular but is small enough not to
matter
> if left behind unused when the user chooses a real editor.
> 
> But you are essentially usaying that 80% of Arch users install nano by
choice.
> I find it doubly surprising.

I know of perhaps 3 or 4 nano users in the NonStop community. There are
probably three orders of magnitude more vi/vim users. vim and vi both come
installed on the platform by default. Nano is an add-on that my team builds
as a courtesy but there's small interest but it is loyal.

Regards,
Randall